models/Articulos.php
<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "articulos".
 *
 * @property int $id
 * @property string $titulo
 * @property string $texto
 * @property string $texto largo
 * @property string $foto
 */
class Articulos extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'articulos';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['titulo', 'texto'], 'string', 'max' => 127],
            [['texto largo', 'foto'], 'string', 'max' => 255],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'titulo' => 'Titulo',
            'texto' => 'Texto',
            'texto largo' => 'Texto Largo',
            'foto' => 'Foto',
        ];
    }
}

models/Noticias.php
<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "noticias".
 *
 * @property int $id
 * @property string $titulo
 * @property string $texto
 * @property string $foto
 */
class Noticias extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'noticias';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['titulo', 'texto', 'foto'], 'string', 'max' => 255],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'titulo' => 'Titulo',
            'texto' => 'Texto',
            'foto' => 'Foto',
        ];
    }
}

controllers/SiteController.php
<?php

namespace app\controllers;

use Yii;
use yii\filters\AccessControl;
use yii\web\Controller;
use yii\web\Response;
use yii\filters\VerbFilter;
use app\models\Noticias;
use app\models\Articulos;

class SiteController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'access' => [
                'class' => AccessControl::className(),
                'only' => ['logout'],
                'rules' => [
                    [
                        'actions' => ['logout'],
                        'allow' => true,
                        'roles' => ['@'],
                    ],
                ],
            ],
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'logout' => ['post'],
                ],
            ],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function actions()
    {
        return [
            'error' => [
                'class' => 'yii\web\ErrorAction',
            ],
            'captcha' => [
                'class' => 'yii\captcha\CaptchaAction',
                'fixedVerifyCode' => YII_ENV_TEST ? 'testme' : null,
            ],
        ];
    }

    /**
     * Displays homepage.
     *
     * @return string
     */
    public function actionIndex()
    {
        $datos= Noticias::find()->all();
        return $this->render('index',['datos'=>$datos]);
    }

 
    public function actionArticulos()
    {
        $articulos=new Articulos;
        $datos=$articulos::find()->all();
        return $this->render('articulos',['datos'=>$datos]);
    }
    
    public function actionTodo(){
        
         $dataProvider=new \yii\data\ActiveDataProvider([
          'query'=> Noticias::find(),
          'pagination' => [ 'pageSize' => 2 ,
            'pageParam'=>'d1',
             ],
              'sort'=>[
                  'sortParam'=>'d1',
             ]
        ]);
        
         $dataProvider2=new \yii\data\ActiveDataProvider([
          'query'=> Articulos::find(),
          'pagination' => [ 'pageSize' => 1,
             'pageParam'=>'d2',
             ],
             'sort'=>[
                  'sortParam'=>'d2',
             ]
          ]); 
        return $this->render('todo',['dataProvider'=>$dataProvider,'dataProvider2'=>$dataProvider2]);
    }
    
    public function actionArtcompleto($id){
         $comando=Yii::$app->db->createCommand("Select * from articulos where id=$id");
        $datos=$comando->queryAll();
        return $this->render('articuloCompleto',['datos'=>$datos]);
    }
  
}

views/layouts/main.php
<?php

/* @var $this \yii\web\View */
/* @var $content string */

use app\widgets\Alert;
use yii\helpers\Html;
use yii\bootstrap\Nav;
use yii\bootstrap\NavBar;
use yii\widgets\Breadcrumbs;
use app\assets\AppAsset;

AppAsset::register($this);
?>
<?php $this->beginPage() ?>
<!DOCTYPE html>
<html lang="<?= Yii::$app->language ?>">
<head>
    <meta charset="<?= Yii::$app->charset ?>">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <?= Html::csrfMetaTags() ?>
    <title><?= Html::encode($this->title) ?></title>
    <?php $this->head() ?>
</head>
<body>
<?php $this->beginBody() ?>

<div class="wrap">
    <?php
    NavBar::begin([
        'brandLabel' => Yii::$app->name,
        'brandUrl' => Yii::$app->homeUrl,
        'options' => [
            'class' => 'navbar-inverse navbar-fixed-top',
        ],
    ]);
    echo Nav::widget([
        'options' => ['class' => 'navbar-nav navbar-right'],
        'items' => [
            ['label' => 'Noticias', 'url' => ['/site/index']],
            ['label' => 'Artículos', 'url' => ['/site/articulos']],
            ['label' => 'Todo', 'url' => ['/site/todo']],
           
        ],
    ]);
    NavBar::end();
    ?>

    <div class="container">
        <?= Breadcrumbs::widget([
            'links' => isset($this->params['breadcrumbs']) ? $this->params['breadcrumbs'] : [],
        ]) ?>
        <?= Alert::widget() ?>
        <?= $content ?>
    </div>
</div>

<footer class="footer">
    <div class="container">
        <p class="pull-left">Alberto Ceballos <?= date('Y') ?></p>

        <p class="pull-right"></p>
    </div>
</footer>

<?php $this->endBody() ?>
</body>
</html>
<?php $this->endPage() ?>

views/site/articuloCompleto.php
<div class="container">
    <h2><?= $datos[0]['titulo'] ?></h2>
    <h5><?= $datos[0]['texto largo'] ?></h5>
</div>

views/site/articulos.php
<?php
use yii\helpers\Html;
?>
<div class="row row-flex row-flex-wrap">
    <?php 
        foreach($datos as $registro){
    ?>
  <div class="col-sm-6 col-md-4">
    <div class="thumbnail">
      <?=   Html::img("@web/imgs/$registro->foto") ?>
      <div class="caption">
          <h3><?= Html::encode($registro->titulo) ?></h3>
          <p><?= Html::encode($registro->texto) ?></p>
        <p><?= Html::a('Leer más', ['site/artcompleto', 'id' => $registro->id]) ?></p>
      </div>
    </div>
  </div>
    <?php
      }
    ?>
</div>

views/site/error.php
<?php

/* @var $this yii\web\View */
/* @var $name string */
/* @var $message string */
/* @var $exception Exception */

use yii\helpers\Html;

$this->title = $name;
?>
<div class="site-error">

    <h1><?= Html::encode($this->title) ?></h1>

    <div class="alert alert-danger">
        <?= nl2br(Html::encode($message)) ?>
    </div>

    <p>
        Upss...
    </p>
    <p>
        Parece que ha habido un error
    </p>

</div>

views/site/index.php
<?php

use yii\helpers\Html;
/* @var $this yii\web\View */

$this->title = 'My Yii Application';
?>
<div class="site-index">

    <div class="jumbotron">
        <h1><?= Yii::$app->name ?></h1>

    </div>

    <div class="body-content">

        <div class="row">
            
            <?php
                foreach($datos as $registro){
            ?>
            <div class="col-lg-6">
              <div class="thumbnail">
                 <?= Html::img("@web/imgs/$registro->foto") ?>
                 <div class="caption">
                <h3><?= Html::encode($registro->titulo) ?></h3>
                <p><?= Html::encode($registro->texto) ?></p>
                </div>
              </div>    
            </div>
            <?php 
                }
            ?>
        </div>

    </div>
</div>

views/site/todo.php
<?php
 use yii\grid\GridView;
 use yii\helpers\Html;
?>
<h3>Noticias</h3>
<?= GridView::widget([
        'dataProvider' => $dataProvider,
        'summary'=>'Mostrando {begin}-{end} de {totalCount} noticias',
        'columns' => [
            ['class' => 'yii\grid\SerialColumn'],

            'titulo',
            'texto',
            [
                'attribute' => 'foto',
                 'format' => 'html',    
                 'value' => function ($data) {
                 return Html::img(Yii::getAlias('@web').'/imgs/'. $data['foto'],
                ['width' => '70px']);
            },
            ],
            //['class' => 'yii\grid\ActionColumn'],
        ],
    ]); ?>

<h3>Artículos</h3>
<?= GridView::widget([
        'dataProvider' => $dataProvider2,
        'summary'=>'Mostrando {begin}-{end} de {totalCount} artículos',
        'columns' => [
            ['class' => 'yii\grid\SerialColumn'],
            'titulo',
            'texto',
            [
                'attribute' => 'foto',
                 'format' => 'html',    
                 'value' => function ($data) {
                 return Html::img(Yii::getAlias('@web').'/imgs/'. $data['foto'],
                ['width' => '70px']);
            },
            ],
            //['class' => 'yii\grid\ActionColumn'],
        ],
    ]); ?>